Skip to content

Get 'SecurityConfiguration'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired

The id of the organization the instance belongs to. This model has a single instance per organization, so the endpoint resolves it by organization rather than by the instance's own id.

GET
/configurations/securityconfiguration/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/configurations/securityconfiguration/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
require_mfa_for_non_customersboolean
require_mfa_for_customersboolean
non_customers_can_use_hotp_loginboolean
customers_can_use_hotp_loginboolean
approved_non_customer_hotp_email_domainsArray of strings or null
non_customers_can_use_bankid_loginboolean
customers_can_use_bankid_loginboolean
password_expiration_daysinteger or null, (int32), [ 14 .. 2147483647 ]
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "require_mfa_for_non_customers": true, "require_mfa_for_customers": true, "non_customers_can_use_hotp_login": true, "customers_can_use_hotp_login": true, "approved_non_customer_hotp_email_domains": [ "string" ], "non_customers_can_use_bankid_login": true, "customers_can_use_bankid_login": true, "password_expiration_days": 14 }